Jump to content

Subscriptions Manager


sijad

Recommended Posts

  • Replies 1.2k
  • Created
  • Last Reply

It's unfortunately going to take some time, IPS removed some of the data this app uses in 3.3 which had always been a part of the IP.Board core and I have to come up with some way to restore that. It is the next item on my upgrade agenda, though.





Thanks Michael, this is last mod i am waiting for and it is a important one......................it gives me a small income to run the forum
Link to comment
Share on other sites

For anyone who has upgraded to 3.3 already, would you be willing to give a test run of a new version of this app? This new version will not work on 3.2, but it should work if you upgrade IP.Board to 3.3 at the same time as you upgrade this. I don't use this app myself, though, so I'd like to have someone run this who has some more actual data in their system. Obviously it would be best to do it on a test copy of an actual live site, just in case there are any issues that I haven't caught yet.

PM me or respond here if you're interested in testing this.

I think the only big issues were that IPS dropped the sub_end and subs_pkg_chosen fields from the members table. I should be able to restore the subs_end value, which gets used multiple places in this app, but the subs_pkg_chosen data is probably lost for good. That appears to only be used for when people purchase a subscription at registration and it stores the value of which package they chose during the validation process.

Link to comment
Share on other sites

I had v1.0.2 running for ages but just made a big jump to 3.3 not realising subscriptions would not work.

While I assume this version won't work on 3.3 I hope one will be released soon. Edit: Just read a few posts up :logik:

My main question whether the data from members payments made in 1.0.2 and set to expire after 1 year 3 years or never can be retained and carry on as normal.

Thanks in advance.

Link to comment
Share on other sites

seanrgv, Ive already asked IPB if it will retain the data they say yes, i was on IPB 2.3 and have over 500 subscribers, anyway i didnt realise there is no sub manager in 3.3 and i have now lost all my subscribers and im constantly getting emails off paypal warning me about it saying If this problem continues, IPNs may be disabled for your account.


so thankyou very much IPB

Link to comment
Share on other sites


[url="../../user/110058-seanrgv/"]seanrgv[/url], Ive already asked IPB if it will retain the data they say yes, i was on IPB 2.3 and have over 500 subscribers, anyway i didnt realise there is no sub manager in 3.3 and i have now lost all my subscribers and im constantly getting emails off paypal warning me about it saying If this problem continues, IPNs may be disabled for your account.




so thankyou very much IPB




IP.Board 3.3 doesn't stop the packages themselves that your customers already have from being active, that data did not get dropped during the upgrade. If you're getting messages from customers who now don't have any subscription, or from PayPal about your IPN info that just started in 3.3, then it sounds like you've completely uninstalled the app, in which case even if the new version I'm working on fixes the known IP.Board 3.3 issues, it wouldn't restore active subscription packages that are gone from your site now.

Do you see anything under the Admin CP for this app? Any record of past sales and such?
Link to comment
Share on other sites

No i havent uninstalled anything i just updated from IPB 2.3 (with inbuilt sub manager) to 3.3 (with no sub manager) the subscription tables are still in the database etc, but i do keep getting warnings from paypal and i havent recieved any payments at all since my upgrade, i think its time to go back to 2.3 and ask for my money back from IPB its cost me alot of money this upgrade and now its losing me alot of money everyday

Link to comment
Share on other sites

Er, I uploaded the files, maintaining file structure, went to log into my admin and was confonted with an installation upgrade screen immediately, aparently for the whole board:

Invision Power Board 3.3




Welcome to the installer. This wizard will guide you through the upgrade process.
If you are not comfortable performing the upgrade yourself, please stop now and submit a technical support ticket so that our technicians can perform the upgrade for you.

You should be certain that you have a complete database backup before proceeding. By continuing, you are certifying that you have saved a database backup.

If you need help using this installer, please see our installation guide.

System Requirements
PHP: v5.2.0 or better
SQL: MySQL v4.1.0 (5.0.0 or better preferred)

Memory Limit: 128M or better recommended
Your memory limit: 128M

Pre-Install Check: Files
Required Files: Passed

Pre-Install Check: PHP Extensions
PHP Extensions Overview: Passed
DOM XML Handling (libxml2): Passed
GD Library (gd): Passed
Reflection Class (Reflection): Passed
SPL (SPL): Passed
OpenSSL (openssl): Passed
JSON (json): Passed


I'm afraid to touch it at this point, I think I need some help.

Link to comment
Share on other sites


What about the Nexus situation, willI need to uninstall that?




You can't have both this app and Nexus installed, so you need to choose which you want. Frankly, Nexus does everything this app does and more, so if you have the option to run Nexus, you should do so. If you choose to run this app instead, you not only have to uninstall Nexus, you need to remove its files from your site completely.


Er, I uploaded the files, maintaining file structure, went to log into my admin and was confonted with an installation upgrade screen immediately, aparently for the whole board:



Invision Power Board 3.3






Welcome to the installer. This wizard will guide you through the upgrade process.


If you are not comfortable performing the upgrade yourself, please stop now and submit a

technical support ticket

so that our technicians can perform the upgrade for you.



You should be certain that you have a complete database backup before proceeding. By continuing, you are certifying that you have saved a database backup.



If you need help using this installer, please see our

installation guide

.



System Requirements


PHP: v5.2.0 or better


SQL: MySQL v4.1.0 (5.0.0 or better preferred)



Memory Limit: 128M or better recommended


Your memory limit: 128M



Pre-Install Check: Files


Required Files: Passed



Pre-Install Check: PHP Extensions


PHP Extensions Overview: Passed


DOM XML Handling (libxml2): Passed


GD Library (gd): Passed


Reflection Class (Reflection): Passed


SPL (SPL): Passed


OpenSSL (openssl): Passed


JSON (json): Passed




I'm afraid to touch it at this point, I think I need some help.




That's the standard upgrade page, it looks like that for all apps. You're at the right place to upgrade this, just continue from there.


The best way is to leave the old app there and upgrade the board and then upgrade this mod?



Or to remove the old mod then upgrade and then install the new one?



I don't want to loose my subscribers ...



Thank you




Don't uninstall this mod, any version of it, doing that will remove your subscriber data. If you're still on the old version of this app and IP.Board 3.2 or earlier, and you want to upgrade both your board and this app, I would recommend upgrading to IP.Board 3.3 first and let it finish, then upgrading this app. Don't uninstall or remove anything.
Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

  • Recently Browsing   0 members

    • No registered users viewing this page.

×
×
  • Create New...